<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Transiformación punto de origen</title>
    <style>
       body {
           display: flex;
           align-items: flex-start;
           justify-content: center;
           height: 100vh;
           color: white;
           font-family: Arial;
       } 
       .container {
           border: 1px solid red;
           width: 100%;
       }

       .container:hover .cuadrado {
            animation-play-state: paused;
       }
    
       .cuadrado {
           width: 200px;
           height: 200px;
           background-color: #7dc900;
           margin: 20px;
           border-radius: 50%;
           display: flex;
           align-items: center;
           justify-content: center;
           animation-name: cuadrado, rebote;
           /* rebote; */
           animation-duration: 3s, .3s;
           /* animation-delay: 1s; */
           /* animation-iteration-count: 2; */
           
           /* animation-direction: reverse; */
          animation-direction: alternate;
            /*  animation-fill-mode: forwards;
            animation-play-state: running; */
            position: relative;
            animation-iteration-count: infinite, 10;
            /* animation-timing-function: ease; */
            /* animation-timing-function: ease-in;
            animation-timing-function: ease-in-out;
            animation-timing-function: ease-out;*/
            /* animation-timing-function: linear;  */
            /* animation-timing-function: cubic-bezier(.75, -.31,.33,1.4); */
            animation-timing-function: linear, ease-in-out;
       }
       @keyframes cuadrado {
           0% {
                /* opacity: 1; */
                left: -20px;
           }
           100% {
                /* opacity: 0; */
                left: calc(100% - 240px);
           }
       }
       @keyframes rebote {
           from {
                transform: translateY(0);
           }
           to {
            transform: translateY(100px) scale(1, .8);
           }
       }
       @keyframes escalera {
           from {
                transform: translateY(0);
           }
           to {
                transform: translateY(500px);
           }
       }
    </style>
</head>
<body>
     <div class="container">
         <div class="cuadrado" id="cuadrado">
            Hola mundo!
         </div>
     </div> 
     <script>
         const $cuadrado = document.getElementById('cuadrado');
         $cuadrado.addEventListener('animationend', (event) =>{
             console.log(event.animationName);
             if (event.animationName === 'rebote') {
                 $cuadrado.style.animationName = 'cuadradoescalera';
                 $cuadrado.style.animationDuration = '3s';
             }
         });
     </script>  
</body>
</html>